Summary:        Intrusion detection system
Name:           snort
Version:        2.7.0.1
Release:        1
License:        GPLv2
Group:          Applications/Internet
Source0:        http://www.snort.org/dl/current/%{name}-%{version}.tar.gz
Source1:        snortd.aix.init
Source2:        snort.sysconfig
Url:            http://www.snort.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  perl, sed, gcc
BuildRequires:  libpcap-devel >= 0.9, pcre-devel
Requires:       libpcap >= 0.9, pcre

%description
Snort is a libpcap-based packet sniffer/logger which
can be used as a lightweight network intrusion detection system.
It features rules based logging and can perform protocol analysis,
content searching/matching and can be used to detect a variety of
attacks and probes, such as buffer overflows, stealth port scans,
CGI attacks, SMB probes, OS fingerprinting attempts, and much more.
Snort has a real-time alerting capabilty, with alerts being sent to syslog,
a separate "alert" file, or as a WinPopup message via Samba's smbclient.

Edit /etc/snort.conf to configure snort and use /etc/rc.d/init.d/snortd 
to start snort.

Please see the documentation in %{_docdir}/%{name}-%{version}.


%prep
%setup -q


%build
export CC=gcc
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# remove  Makefile stuff from docs 
rm -f doc/Makefile*

mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
mkdir -p ${RPM_BUILD_ROOT}/var/log/snort
mkdir -p %{buildroot}/etc/rc.d/init.d

mkdir ${RPM_BUILD_ROOT}/etc/snort
cp etc/generators etc/gen-msg.map etc/sid etc/sid-msg.map etc/threshold.conf etc/unicode.map etc/reference.config etc/classification.config etc/snort.conf ${RPM_BUILD_ROOT}/etc/snort

cp %{SOURCE1} %{buildroot}/etc/rc.d/init.d/snortd
chmod 0755 %{buildroot}/etc/rc.d/init.d/*

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/
ln -sf '../init.d/snortd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Ssnortd
ln -sf '../init.d/snortd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Ksnortd
ln -sf '../init.d/snortd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Ssnortd
ln -sf '../init.d/snortd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Ksnortd

mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/sysconfig/snort
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/snort

perl -pi -e 's!var RULE_PATH ../rules!var RULE_PATH /etc!' ${RPM_BUILD_ROOT}/etc/snort/snort.conf
perl -pi -e 's!dynamicpreprocessor directory /usr/local/lib/snort_dynamicpreprocessor/!dynamicpreprocessor directory %{_libdir}/snort/dynamicpreprocessor/!' ${RPM_BUILD_ROOT}/etc/snort/snort.conf
perl -pi -e 's!dynamicengine /usr/local/lib/snort_dynamicengine/libsf_engine.so!dynamicengine %{_libdir}/snort_dynamicengine/libsf_engine.so.0!' ${RPM_BUILD_ROOT}/etc/snort/snort.conf


%clean
###[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%preun
if [ "$1" = 0 ]
then
   /etc/rc.d/init.d/snortd stop
fi


%post
if [ "$1" -gt "1" ]; then
   # Upgrading snortd package - restart snortd
   /etc/rc.d/init.d/snortd restart
fi


%files
%defattr(-,root,system)
%doc doc/* schemas/create_*
%{_bindir}/*
%{_libdir}/snort*
%{_mandir}/man?/*

%attr(755,root,system) %dir /var/log/snort
%attr(755,root,system) %config /etc/snort
%attr(755,root,system) /etc/rc.d/init.d/snortd
%config(noreplace) /etc/sysconfig/snort


%changelog
* Tue Apr 01 2008 Michael Perzl <michael@perzl.org> - 2.7.0.1-1
- first version for AIX V5.1 and higher
